Pathway_Paradigm_Expression_CopyNumber:
  prerequisites: ['has_annotation(entity, "cna___calculated__reduced__segment__by__gene")
      && (has_annotation(entity, "transcriptome__ht_hg_u133a__broad_mit_edu__Level_3__gene_rma__data")
      || has_annotation(entity, "exon__huex_1_0_st_v2__lbl_gov__Level_3__quantile_normalization_gene__data")
      || has_annotation(entity, "transcriptome__agilentg4502a_07_3__unc_edu__Level_3__unc_lowess_normalization_gene_level__data"))']
  root-entity: Individual_Set
  report-generating: true
  parameters:
  - {expression: transcriptome__ht_hg_u133a__broad_mit_edu__Level_3__gene_rma__data,
    optional: true, name: ParadigmPreprocessExpression1.broadFile, mode: Simple_Expression}
  - {expression: exon__huex_1_0_st_v2__lbl_gov__Level_3__quantile_normalization_gene__data,
    optional: true, name: ParadigmPreprocessExpression1.exonFile, mode: Simple_Expression}
  - {expression: transcriptome__agilentg4502a_07_3__unc_edu__Level_3__unc_lowess_normalization_gene_level__data,
    optional: true, name: ParadigmPreprocessExpression1.uncFile, mode: Simple_Expression}
  - {optional: true, name: ParadigmPreprocessExpression1.broadNormalsFile, mode: Simple_Expression}
  - {optional: true, name: ParadigmPreprocessExpression1.exonNormalsFile, mode: Simple_Expression}
  - {optional: true, name: ParadigmPreprocessExpression1.uncNormalsFile, mode: Simple_Expression}
  - {expression: individual_set_id, optional: false, name: ParadigmPreprocess2.evidence.prefix,
    mode: Simple_Expression}
  - {expression: cna___calculated__reduced__segment__by__gene, optional: true, name: ParadigmPreprocess2.copynumber.file,
    mode: Simple_Expression}
  - {expression: '0.001', optional: false, name: ParadigmPrepare3.tolerance, mode: Literal}
  - {expression: '2', optional: true, name: ParadigmPrepare3.nullBatches, mode: Literal}
  - {optional: true, name: ParadigmPrepare3.pathwayZip, mode: Simple_Expression}
  - {expression: '0.25', optional: true, name: ParadigmPrepare3.minSampleFraction,
    mode: Literal}
  - {expression: '0.25', optional: true, name: ParadigmPrepare3.minGeneFraction, mode: Literal}
  - {expression: '0.001', optional: false, name: Paradigm4.tolerance, mode: Literal}
  outputs: []
  output-path: pathway/paradigm_expression_copynumber
  genepattern-lsid: urn:lsid:broadinstitute.org:cancer.genome.analysis:00367:45
